package com.shxy.xymanager_common.annotation;

import java.lang.annotation.*;

/**
 * 自定义操作日志记录注解
 *
 * @author 晶晶
 */
@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Log {
    /**
     * 操作模块
     */
    public String title() default "";

    /**
     * 操作类型
     */
    public String type() default "";

    /**
     * 操作说明
     */
    public String operater() default "";

}
