package com.shxy.xymanager_common.bean;

import lombok.Data;

import java.io.Serializable;

/**
 * 接口请求日志模板 log
 *
 * @author 晶晶
 */
@Data
public class SysOperLog implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 操作模块
     */
    private String title;

    /**
     * 请求方法
     */
    private String method;

    /**
     * 请求方式
     */
    private String requestMethod;

    /**
     * 请求url
     */
    private String requesetUrl;

    /**
     * 操作地址
     */
    private String requestIp;

    /**
     * 请求参数
     */
    private String requestParam;

    /**
     * 返回参数
     */
    private String jsonResult;

    /**
     * 错误消息
     */
    private String errorMsg;

}
