package com.shxy.xymanager_common.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;


/**
 * @ClassName：RsaProperties
 * @Description： 秘钥
 * @Author： Arno_Fu
 * @CreatTime：12/29/2020 - 11:37 AM
 * @Version V1.0
 */
@Data
@Component
public class CustomRsaProperties {

    public static String privateKey;

    public static String publicKey;

    @Value("${rsa.private_key}")
    public void setPrivateKey(String privateKey) {
        CustomRsaProperties.privateKey = privateKey;
    }

    @Value("${rsa.public_key}")
    public void setPublicKey(String publicKey) {
        CustomRsaProperties.publicKey = publicKey;
    }
}