package com.shxy.xymanager_common.constant;


/**
 * @ClassName：UserStatus
 * @Description： 用户状态
 * @Author： Arno_Fu
 * @CreatTime：12/23/2019 - 4:48 PM
 * @Version V1.0
 */

public enum UserStatus
{
    OK("0", "正常"), DISABLE("1", "停用"), DELETED("2", "删除");

    private final String code;
    private final String info;

    UserStatus(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
