package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 电压等级列表
 */
@Data
@ApiModel(value = "获取电压等级列表", description = "获取电压等级列表信息")
public class DyListModel implements Serializable {

    @ApiModelProperty(value = "电压等级列表", example = "[]")
    private List<DyBean> list;

    @Data
    public static class DyBean {

        @ApiModelProperty(value = "电压编号", example = "123456")
        private Integer id;

        @ApiModelProperty(value = "电压名称", example = "AAAA")
        private String name;

        @ApiModelProperty(value = "电压大小", example = "AAAA")
        private Integer dyValue;

    }
}
