package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 装置下发request列表
 */
@Data
@ApiModel(value = "装置下发request列表", description = "触发查询信息列表")
public class GetScheduleRequestIdListModel implements Serializable {

    @ApiModelProperty(value = "request返回", example = "123456")
    private List<RequestBean> list;

    @Data
    public static class RequestBean {

        @ApiModelProperty(value = "装置编号", example = "123456")
        private Integer termid;

        @ApiModelProperty(value = "通道编号", example = "AAAA")
        private Integer channelid;

        @ApiModelProperty(value = "请求编号", example = "AAAA")
        private Integer requestid;

    }

}
