package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 图片轮询列表
 */
@Data
@ApiModel(value = "图片采集参数更新对象", description = "图片采集参数对象信息")
public class PhotoParamUpdateModel implements Serializable {
    @ApiModelProperty(value = "装置编号", example = "120")
    private Integer termId;
    @ApiModelProperty(value = "请求ID", example = "120")
    private Integer requestId;
}
