package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 分辨率返回对象
 */
@Data
@ApiModel(value = "分辨率返回对象", description = "分辨率返回对象")
public class ResolutionModel implements Serializable {
    @ApiModelProperty(value = "分辨率列表", example = "[]")
    private List<ResolutionBean> list;

    @Data
    public static class ResolutionBean {

        @ApiModelProperty(value = "编号", example = "120")
        private Integer id;
        @ApiModelProperty(value = "名称编号", example = "120")
        private String name;

    }

    private static final long serialVersionUID = 1L;

}