package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 设备信息列表
 */
@Data
@ApiModel(value = "设备ID信息", description = "获取设备ID信息")
public class TerminalIdModel implements Serializable {

    @ApiModelProperty(value = "装置编号", example = "123456")
    private String cmdId;

    @ApiModelProperty(value = "是否最新", example = "123456")
    private Boolean isNew = false;

}
