package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "告警类型", description = "告警类型信息")
public class TerminalImgAlarmParamsModel implements Serializable {

    @ApiModelProperty(value = "告警类型列表", example = "[]")
    private List<AlarmParamBean> list;

    @Data
    public static class AlarmParamBean {
        @ApiModelProperty(value = "编号", example = "123456")
        private Integer id;
        @ApiModelProperty(value = "告警编号", example = "123456")
        private Integer label;
        @ApiModelProperty(value = "告警名称", example = "123456")
        private String name;
        @ApiModelProperty(value = "可信度", example = "123456")
        private Float prob;
    }

    private static final long serialVersionUID = 1L;

}