package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.sql.Time;
import java.util.List;

/**
 * 时间任务详情
 */
@Data
@ApiModel(value = "时间任务详情", description = "时间任务详情信息")
public class TerminalScheduleRuleTimeListModel implements Serializable {

    @ApiModelProperty(value = "任务名称", example = "123456")
    private List<String> list;


    @ApiModelProperty(value = "是否最新", example = "123456")
    private Boolean isNew = false;

    @ApiModelProperty(value = "偏移量", example = "123456")
    private Integer offset ;

}
