package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

/**
 * 图片轮询列表
 */
@Data
@ApiModel(value = "装置ID更新对象", description = "图片轮询列表对象信息")
public class TerminalUpdateModel implements Serializable {
    @ApiModelProperty(value = "装置编号", example = "120")
    private Integer termId;
    @ApiModelProperty(value = "请求ID", example = "120")
    private Integer requestId;
}
