package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 视频参数
 */
@Data
@ApiModel(value = "视频参数对象", description = "视频参数对象信息")
public class TerminalVideoParamsModel implements Serializable {

    @ApiModelProperty(value = "预置位", example = "123456")
    private Integer preset;

    @ApiModelProperty(value = "视频分辨率", example = "123456")
    private Integer videoFormat;

    @ApiModelProperty(value = "录制时长", example = "123456")
    private Integer videoTime;


    @ApiModelProperty(value = "录制时长", example = "123456")
    private Boolean isNew = false;


}
