package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 上位机信息
 */
@Data
@ApiModel(value = "上位机信息", description = "获取上位机信息")
public class UpperComputerInfoModel implements Serializable {

    @ApiModelProperty(value = "采集装置ID", example = "120")
    private Integer termId;

    @ApiModelProperty(value = "监测装置ID", example = "120")
    private String cmdId;

    @ApiModelProperty(value = "上位机IP", example = "120")
    private String ip;

    @ApiModelProperty(value = "上位机端口", example = "120")
    private Short port;

    @ApiModelProperty(value = "上位机域名", example = "120")
    private String domain;

    @ApiModelProperty(value = "是否最新", example = "120")
    private Boolean isNew = false;


}
