package com.shxy.xymanager_common.util;

import lombok.extern.slf4j.Slf4j;

import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.UUID;

/**
 *
 * 执行指令
 * @author cy
 */
@Slf4j
public class ProcessExecUtils
{

    /**
     * 执行指令
     *
     */
    public static Integer exec(String cmd) {
        String line = "";
        StringBuffer sb = new StringBuffer();
        String result = "";
        Integer sendToCode = -1;
        try {
            Process ps = Runtime.getRuntime().exec(cmd);
            log.info("传入cmd信息:{}",cmd);
            BufferedReader reader = new BufferedReader(new InputStreamReader(ps.getInputStream()));
            sendToCode = ps.waitFor();
            log.info("进程返回结果:{}",sendToCode);
            while ((line = reader.readLine()) != null) {
                sb.append(line).append("\n");
            }
            result = sb.toString();
            if(StringUtils.isNotBlank(result)){
                log.info("查询最新结果:{}",result);
            }
        } catch (IOException e) {
            log.error("IOException",e);
        } catch (InterruptedException e) {
            log.error("InterruptedException",e);
        }
        return sendToCode;
    }



}
