package com.shxy.xymanager_common.util;

import com.shxy.xymanager_common.util.spring.SpringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.web.servlet.MultipartConfigFactory;
import org.springframework.context.MessageSource;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;
import java.util.UUID;

/**
 *
 * 上传文件
 * @author cy
 */
public class UploadUtils
{
    /**
     * 上传文件
     *
     */
    public static String upload(MultipartFile file,String path) throws IOException {
      String fileName = file.getOriginalFilename();
      String newName = UUID.randomUUID().toString()+fileName.substring(fileName.indexOf("."));
      File saveFile = new File(path+newName);
      if(!saveFile.getParentFile().exists()){
          saveFile.getParentFile().mkdirs();
      }
      file.transferTo(saveFile);
      return saveFile.getPath();
    }



}
