package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "图片对象", description = "图片采集参数对象")
public class PhotoParamsVo{
    @ApiModelProperty(value = "装置编号", example = "123456")
    private Integer termId;

    @ApiModelProperty(value = "通道编号", example = "123456")
    private Integer channelId;

    @ApiModelProperty(value = "色彩选择：0 为黑白，1 为彩色", example = "123456")
    private Integer color;

    @ApiModelProperty(value = "自定义图像分辨率", example = "123456")
    private Integer resolution;

    @ApiModelProperty(value = "亮度，取值范围：1～100", example = "123456")
    private Integer luminance;

    @ApiModelProperty(value = "对比度，取值范围：1～100", example = "123456")
    private Integer contrast;

    @ApiModelProperty(value = "饱和度，取值范围：1～100", example = "123456")
    private Integer saturation;

    @ApiModelProperty(value = "装置ID", example = "123456")
    private String cmdId;


}
