package com.shxy.xymanager_common.vo;

import com.shxy.xymanager_common.model.GetScheduleRequestIdListModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "查询Cma结果requestid的list", description = "查询Cma结果requestid的list")
public class RequestIdListVo {

    @NotNull(message = "查询编号列表不能缺少")
    @ApiModelProperty(value = "查询编号列表", example = "123455")
    private List<RequestBean> list;

    @Data
    public static class RequestBean {

        @ApiModelProperty(value = "装置编号", example = "123456")
        private Integer termid;

        @ApiModelProperty(value = "通道编号", example = "AAAA")
        private Integer channelid;

        @ApiModelProperty(value = "请求编号", example = "AAAA")
        private Integer requestid;

        @ApiModelProperty(value = "状态", example = "AAAA")
        private Integer status;


    }

}
