package com.shxy.xymanager_common.vo;

import cn.hutool.core.date.DateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "返回图片查询", description = "返回图片查询")
public class ReturnedPhotoParamsVo {
    @NotNull(message = "不能传入空值")
    @ApiModelProperty(value = "装置id", required = true, example = "A0001")
    private Integer termId;

    @NotNull(message = "通道")
    @ApiModelProperty(value = "通道", required = true, example = "A0001")
    private Short channelId;


    @ApiModelProperty(value = "手动拍照时间", required = true, example = "A0001")
    private Integer requestId;
}
