package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(value = "任务规则编号列表", description = "任务规则编号列表描述")
public class ScheduleIdListVo {
    @NotEmpty(message = "不能传入空值")
    @ApiModelProperty(value = "任务规则对象数组", required = true, example = "A0001")
    private List<ScheduleIdVo> list;
}
