package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "修改用户对象", description = "用户对象描述")
public class SysUserUpdateVo {

    @NotNull(message = "用户ID不能缺少")
    @ApiModelProperty(value = "用户Id", example = "123455")
    private Integer  userId;

    @ApiModelProperty(value = "用户名", example = "123455")
    private String userName;

    @ApiModelProperty(value = "角色", example = "123455")
    private Integer role;

    @ApiModelProperty(value = "密码", example = "123455")
    private String password;


}
