package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigInteger;
import java.util.Date;

@Data
@ApiModel(value = "装置告警编号对象", description = "装置告警编号对象")
public class TerminalAlarmIdVo {

    @ApiModelProperty(value = "告警编号", example = "123455")
    @NotNull(message = "编号不能缺少")
    private BigInteger id;

}
