package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "告警信息查询对象", description = "告警信息查询对象描述")
public class TerminalAlarmVo extends PageVo{

    @ApiModelProperty(value = "电压等级编号", example = "123455")
    private Integer dyId;


    @ApiModelProperty(value = "线路编号", example = "123455")
    private Integer lineId;

    @ApiModelProperty(value = "杆塔编号", example = "123455")
    private Integer towerId;

}
