package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
@Validated
@ApiModel(value = "装置和通道编号和查询时间", description = "装置和通道编号和查询时间描述")
public class TerminalAndChannelIdAndTimeVo {

    @NotNull(message = "装置编号不能缺少")
    @ApiModelProperty(value = "装置编号", example = "123455")
    private Integer terminalid;

    @NotNull(message = "通道编号不能缺少")
    @ApiModelProperty(value = "通道编号", example = "123455")
    private List<Integer> channelid;

    @NotNull(message = "查询时间不能缺少")
    @ApiModelProperty(value = "查询时间", example = "123455")
    private Date time;
}
