package com.shxy.xymanager_common.vo;

import cn.hutool.core.date.DateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "装置编号对象", description = "装置编号对象描述")
public class TerminalIdVo {

    @ApiModelProperty(value = "装置编号", example = "123455")
    private Integer termid;

    @ApiModelProperty(value = "图像监测装置 ID", example = "123455")
    private String cmdId;

    @ApiModelProperty(value = "请求实际", example = "123455")
    private DateTime queryTime;
}
