package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "最近图片请求参数", description = "最近图片请求参数")
public class TerminalPhotoVo {
//    @NotNull(message = "装置列表不能缺少")
//    @ApiModelProperty(value = "装置通道编号列表", example = "123455")
//    private String cmdid;

    @NotNull(message = "装置编号")
    @ApiModelProperty(value = "装置编号", example = "123455")
    private Integer termId;

    @NotNull(message = "通道号")
    @ApiModelProperty(value = "通道号", example = "123455")
    private Integer channel;

    @NotNull(message = "装置列表不能缺少")
    @ApiModelProperty(value = "装置通道编号列表", example = "123455")
    private Integer preset;

    @NotNull(message = "图片类型")
    @ApiModelProperty(value = "图片类型", example = "0--图片 1--视频")
    private Integer captureType;


}
