package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "拍照时间表请求参数", description = "拍照时间表请求参数")
public class TerminalReqPhotoTimeVo {

    @NotNull(message = "通道号")
    @ApiModelProperty(value = "通道号", example = "123455")
    private Short channel;

    @NotNull(message = "装置ID不能缺少")
    @ApiModelProperty(value = "装置ID", example = "123455")
    private Short termId;

    @NotNull(message = "检测装置ID不能缺少")
    @ApiModelProperty(value = "检测装置ID", example = "123455")
    private String cmdId;


    @ApiModelProperty(value = "请求ID", example = "123455")
    private Integer requestId;


}
