package com.shxy.xymanager_common.vo;

import cn.hutool.core.date.DateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "最新装置状态", description = "最新装置状态")
public class TerminalStatusVo {
    @NotNull(message = "不能传入空值")
    @ApiModelProperty(value = "装置ID", required = true, example = "A0001")
    private Integer termId;


    @ApiModelProperty(value = "查询时间", required = true, example = "A0001")
    private DateTime queryTime;

}
