package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "上传参数", description = "上传参数")
public class TerminalUploadVo {


    @ApiModelProperty(value = "上传文件信", example = "123455")
    private MultipartFile file;

    @NotNull(message = "apk版本")
    @ApiModelProperty(value = "apk版本", example = "123455")
    private String version;


}
