package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "修改杆塔对象", description = "修改杆塔对象描述")
public class UpdateTowerVo {

    @ApiModelProperty(value = "杆塔编号", example = "123456")
    @NotNull(message = "杆塔编号不能缺少")
    private Integer id;

    @ApiModelProperty(value = "杆塔名称", example = "名称名称")
    @NotBlank(message = "杆塔名称不能缺少")
    private String name;

    @ApiModelProperty(value = "线路编号", example = "单位")
    @NotNull(message = "线路编号不能缺少")
    private Integer lineId;

    @ApiModelProperty(value = "排序", example = "单位")
    @NotNull(message = "排序")
    private Integer order;


}
