package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "声光报警设置对象", description = "声光报警设置对象描述")
public class VoiceCtrlVo {

    @NotNull(message = "监测装置ID")
    @ApiModelProperty(value = "监测装置ID", example = "123455")
    private String cmdId;

    @NotNull(message = "装置编号不能缺少")
    @ApiModelProperty(value = "装置id", example = "123455")
    private Integer termId;

    @NotNull(message = "声光报警开关 0:关闭 1:开启")
    @ApiModelProperty(value = "声光报警开关", example = "0:关闭 1:开启")
    private short ctrl;


}
