package com.shxy.xymanager_dao.dao;

import com.shxy.xymanager_common.dto.LineAndDyNameDto;
import com.shxy.xymanager_common.entity.Lines;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface LinesDao {

    List<LineAndDyNameDto> selectAll(@Param("status") Integer status);

    int insertList(@Param("list") List<Lines> record,@Param("status") Integer status,@Param("createat") Date create,@Param("updateat") Date update);

    int deleteById(@Param("list") List<Lines> record, @Param("status") Integer status,@Param("updateat") Date update);

    Lines selectByPrimaryKey(Integer id);

    List<Lines> selectLineByDyId(@Param("dyid")Integer dyid,@Param("status") Integer status);

    int updateByPrimaryKeySelective(@Param("data") Lines record, @Param("updateat") Date update);

    int updateByPrimaryKey(Lines record);
}