package com.shxy.xymanager_dao.dao;

import com.shxy.xymanager_common.entity.RequestResults;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface RequestResultsDao {

    RequestResults selectByPrimaryKey(Integer id);

    RequestResults selectByRequestId(@Param("requestId") Integer id);

    List<RequestResults> selectByRequestIdList(@Param("list") List<Integer> id);

    List<RequestResults> selectByTypeAndStatus(@Param("requesttype") Integer requesttype, @Param("clientid") Integer clientid, @Param("result") Integer result, @Param("schedulestatus") Integer status);

    int updateByPrimaryKeySelective(RequestResults record);


    int updateByPrimaryKey(RequestResults record);

    int updateByRequestIdList(@Param("list") List<Integer> requestidlist, @Param("status") Integer status);

    String getRequestResult(@Param("requestId") Integer requestId);

}