package com.shxy.xymanager_dao.dao;

import com.shxy.xymanager_common.entity.ScheduleDetails;
import com.shxy.xymanager_common.entity.TerminalSchedule;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface ScheduleDetailsDao {

    int insertSelective(ScheduleDetails record);

    int insertList(@Param("list") List<ScheduleDetails> record, @Param("createat") Date create, @Param("updateat") Date update);

    ScheduleDetails selectByPrimaryKey(Integer id);

    List<ScheduleDetails> selectAll(@Param("status") Integer status);

    List<ScheduleDetails> selectAllByList(@Param("list") List<TerminalSchedule> list);

    int deleteById(@Param("scheduleid") Integer id);


    int updateByPrimaryKeySelective(@Param("data") ScheduleDetails record, @Param("updateat") Date update);

    int updateByPrimaryKey(ScheduleDetails record);

    List<ScheduleDetails> selectAllBySceduleidList(@Param("list") List<Integer> distinct);
}