package com.shxy.xymanager_dao.dao;

import com.shxy.xymanager_common.dto.DyLineAndTerminalAndChannelDto;
import com.shxy.xymanager_common.dto.TermAndChannelDto;
import com.shxy.xymanager_common.dto.TermChannelAndMapperDto;
import com.shxy.xymanager_common.entity.TerminalChannels;
import com.shxy.xymanager_common.vo.TerminalChannelVo;
import com.shxy.xymanager_common.vo.UpdateTerminalChannelVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface TerminalChannelsDao {

    int deleteByPrimaryKey(Integer id);

    int insertList(@Param("list") List<TerminalChannels> record,@Param("status") Integer status, @Param("createat") Date create, @Param("updateat") Date update);

    List<TerminalChannels> selectChannelList(@Param("status") Integer status);

    List<TerminalChannels> selectAllChannelList();

    List<TermAndChannelDto> selectTermChannelList(@Param("status") Integer status);

    List<TermChannelAndMapperDto> selectChannelByTowerId(@Param("towerid") Integer towerid, @Param("status") Integer status);

    List<TermChannelAndMapperDto> selectByTermid(@Param("termid") Integer termid, @Param("status") Integer status);

    TerminalChannels selectByPrimaryKey(@Param("id") Integer id, @Param("status") Integer status);

    List<DyLineAndTerminalAndChannelDto> selectAllAndChannelByTermid(@Param("termid") Integer termid, @Param("status") Integer status);

    int updateByPrimaryKeySelective(@Param("data") TerminalChannels record,@Param("updateat") Date update);

    int deleteList(@Param("list") List<TerminalChannels> list,@Param("status") Integer status,@Param("updateat") Date update);

    int selectChannelCount(List<TerminalChannelVo.ChannelItem> list);

    int selectChannelCountById(UpdateTerminalChannelVo vo);

}