package com.shxy.xymanager_framework.timeTask;

import com.shxy.xymanager_service.cache.XyCache;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author CY
 * @date 2021-01-27 15:06
 */
@Component
@EnableScheduling
@Slf4j
public class ScheduledTask {

    @Autowired
    private XyCache cache;


//    @Scheduled(cron = "0 0/2 * * * ?")
//    private void terminalTask() {
//        log.info("----------------开始下发-----------------------------");
//        terminalTask.execute();
//    }

    @Scheduled(cron = "0 0/5 * * * ?")
    public void cacheinit() {
        //每5分钟执行一次缓存
        cache.init();
    }
}
