package com.shxy.xymanager_service.cache;

import com.shxy.xymanager_service.service.CacheService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;

@Component
public class XyCache {

    @Autowired
    CacheService cacheService;

    @PostConstruct
    public void init() {
        //系统启动中。。。加载codeMap
//        cacheService.updateDyMap();

        cacheService.updateLineMap();

        cacheService.updateTerminalMap();

        cacheService.updateTermChannelMap();

        cacheService.updateTowerMap();

        cacheService.updateTermChannelMapMap();

        cacheService.updateAlarmParamMap();

        cacheService.updateGolobalMap();

    }


    @PreDestroy
    public void destroy() {
        //系统运行结束
    }

}