package com.shxy.xymanager_service.service;

import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.model.DyLineTreeListModel;
import com.shxy.xymanager_common.model.DyListModel;
import com.shxy.xymanager_common.vo.TerminalIdVo;
import com.shxy.xymanager_common.vo.TestVo;

import java.util.List;

/**
 * 电压等级接口
 *
 * @author 晶晶
 */
public interface DyLevelService {
    /**
     * 获取电压线路树状接口
     *
     * @return
     */
    ServiceBody<DyLineTreeListModel> getdyTreeList();


    /**
     * 获取电压等级列表
     *
     * @return
     */
    ServiceBody<DyListModel> getdyList();


    ServiceBody<String> gettest(List<TestVo> vo);
}
