package com.shxy.xymanager_service.service;

import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.model.GetModel;
import com.shxy.xymanager_common.model.SystemConfigModel;
import com.shxy.xymanager_common.model.UpperComputerInfoModel;
import com.shxy.xymanager_common.vo.SystemConfigReqVo;
import com.shxy.xymanager_common.vo.SystemConfigVo;
import com.shxy.xymanager_common.vo.TerminalUpperComputerVo;

/**
 *
 *
 * @author CY
 */
public interface SystemConfigService {

    /**
     * 获取心跳时间
     *
     * @return
     */
    ServiceBody<GetModel> getSystemConfig(String id);


    /**
     * 更新心跳时间
     *
     * @return
     */
    ServiceBody updateSystemConfig(SystemConfigVo vo);


    ServiceBody<SystemConfigModel> getSystemConfigDetail(SystemConfigReqVo vo);

    /**
     * 获取上位机信息触发
     *
     * @return
     */
    ServiceBody<GetModel> upperComputerGet(String cmdId);

    ServiceBody<UpperComputerInfoModel> getUpperComputerInfo(TerminalUpperComputerVo vo);

}
