package com.shxy.xymanager_service.service;

import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.model.TerminalApkInfoListModel;
import com.shxy.xymanager_common.vo.PageVo;
import com.shxy.xymanager_common.vo.TerminalApkVo;
import com.shxy.xymanager_common.vo.TerminalUploadVo;
import org.springframework.web.multipart.MultipartFile;

/**
 *
 *
 * @author CY
 */
public interface UploadService {

    /**
     * 上传文件
     *
     * @return
     */
    ServiceBody<String> upload(MultipartFile file,String version);

    /**
     * 查询APK列表
     *
     */
    ServiceBody<TerminalApkInfoListModel> listApk(PageVo vo);

    /**
     * 下发APK
     *
     */
    ServiceBody<Boolean> issueApk(TerminalApkVo vo);

}
