package com.shxy.xymanager_common.bean;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName：SysUser
 * @Description： 用户信息表
 * @Author： Arno_Fu
 * @CreatTime：11/26/2019 - 2:25 PM
 * @Version V1.0
 */
@Data
public class SysUser {

    /**
     * 用户ID
     */
    @ApiModelProperty(value="用户ID", name="user_id")
    private Integer userId;

    /**
     * 用户账号
     */
    @ApiModelProperty(value="用户账号", name="userAccount")
    private String userName;

    /**
     * 用户昵称
     */
    @ApiModelProperty(value="用户昵称", name="nickName")
    private String nickName;

    /**
     * 用户角色
     */
    @ApiModelProperty(value="用户角色", name="role")
    private Integer role;

    @ApiModelProperty(value="创建时间", name="createTime")
    private Date createTime;

    /**
     * 密码
     */

    private String password;

    /**
     * 帐号状态（0失效 1正常）
     */

    private String status;

    public SysUser() {
    }

}
