package com.shxy.xymanager_common.exception;


import lombok.Data;

/**
 * 自定义API异常
 * Created by 晶晶 on 2022/3/24.
 */
@Data
public class ApiException extends RuntimeException {
    private IErrorCode errorCode;
    private int error;

    public ApiException(IErrorCode errorCode) {
        super(errorCode.getMessage());
        this.errorCode = errorCode;
    }

    public ApiException(String message) {
        super(message);
    }

    public ApiException(int errorcode, String message) {
        super(message);
        this.error = errorcode;
    }

    public ApiException(Throwable cause) {
        super(cause);
    }

    public ApiException(String message, Throwable cause) {
        super(message, cause);
    }

}
