package com.shxy.xymanager_common.exception;


/**
 * @ClassName：UserPasswordNotMatchException
 * @Description： 用户密码不正确或不符合规范异常类
 * @Author： Arno_Fu
 * @CreatTime：11/26/2019 - 10:07 PM
 * @Version V1.0
 */

public class UserPasswordNotMatchException extends RuntimeException {
    private static final long serialVersionUID = 1L;


    private Integer code;

    private String message;

    public UserPasswordNotMatchException(String message) {
        this.message = message;
    }

    public UserPasswordNotMatchException(String message, Integer code) {
        this.message = message;
        this.code = code;
    }

    public UserPasswordNotMatchException(String message, Throwable e) {
        super(message, e);
        this.message = message;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public Integer getCode() {
        return code;
    }
}
