//package com.shxy.xymanager_common.manager.factory;
//
//import com.shxy.xymanager_common.constant.Constants;
//import com.shxy.xymanager_common.model.SysLoginLog;
//import com.shxy.xymanager_common.util.LogUtils;
//import com.shxy.xymanager_common.util.ServletUtils;
//import com.shxy.xymanager_common.util.ip.IpUtils;
//import eu.bitwalker.useragentutils.UserAgent;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//
//import java.util.TimerTask;
//
//
///**
// * @ClassName：AsyncFactory
// * @Description： 异步工厂（产生任务用）
// * @Author： Arno_Fu
// * @CreatTime：12/20/2019 - 5:03 PM
// * @Version V1.0
// */
//
//public class AsyncFactory {
//    private static final Logger sys_user_logger = LoggerFactory.getLogger( "sys-user" );
//
//    /**
//     * 记录登陆信息
//     *
//     * @param username 用户名
//     * @param status   状态
//     * @param message  消息
//     * @param args     列表
//     * @return 任务task
//     */
//    public static TimerTask recordLoginLog(final String username, final String status, final String message,
//                                           final Object... args) {
//        final UserAgent userAgent = UserAgent.parseUserAgentString( ServletUtils.getRequest().getHeader( "User-Agent" ) );
//        final String ip = IpUtils.getIpAddr( ServletUtils.getRequest() );
//        return new TimerTask() {
//            @Override
//            public void run() {
////                String address = AddressUtils.getRealAddressByIP( ip );
//                String address = "";
//                StringBuilder s = new StringBuilder();
//                s.append( LogUtils.getBlock( ip ) );
//                s.append( address );
//                s.append( LogUtils.getBlock( username ) );
//                s.append( LogUtils.getBlock( status ) );
//                s.append( LogUtils.getBlock( message ) );
//                // 打印信息到日志
//                sys_user_logger.info( s.toString(), args );
//                // 获取客户端操作系统
//                String os = userAgent.getOperatingSystem().getName();
//                // 获取客户端浏览器
//                String browser = userAgent.getBrowser().getName();
//                // 封装对象
//                SysLoginLog logininfor = new SysLoginLog();
//                logininfor.setUserName( username );
//                logininfor.setIpaddr( ip );
//                logininfor.setLoginLocation( address );
//                logininfor.setBrowser( browser );
//                logininfor.setOs( os );
//                logininfor.setMsg( message );
//                // 日志状态
//                if (Constants.LOGIN_SUCCESS.equals( status ) || Constants.LOGOUT.equals( status )) {
//                    logininfor.setStatus( Constants.SUCCESS );
//                } else if (Constants.LOGIN_FAIL.equals( status )) {
//                    logininfor.setStatus( Constants.FAIL );
//                }
//                // 插入数据
////                SpringUtils.getBean( SysLoginLogService.class ).insertLoginLog( logininfor );
//            }
//        };
//    }
//
//}
