package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 线路杆塔通道电压列表
 */
@Data
@ApiModel(value = "线路杆塔通道电压列表", description = "线路杆塔通道电压列表")
public class LineAndGtAndChannelListModel implements Serializable {
    @ApiModelProperty(value = "线路杆塔通道电压列表", example = "[]")
    private List<Bean> list;

    @Data
    public static class Bean {

        @ApiModelProperty(value = "编号", example = "123456")
        private Integer id;

        @ApiModelProperty(value = "名称", example = "AAAA")
        private String name;

        @ApiModelProperty(value = "别名", example = "AAAA")
        private String alias;

    }
}
