package com.shxy.xymanager_common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.sql.Time;

/**
 * 时间任务列表
 */
@Data
@ApiModel(value = "配置信息", description = "获取配置信息")
public class SystemConfigModel implements Serializable {

    @ApiModelProperty(value = "配置ID", example = "123456")
    private Integer id;

    @ApiModelProperty(value = "心跳间隔", example = "123456")
    private Integer heartBeatTime;

    @ApiModelProperty(value = "全局心跳间隔", example = "213")
    private Integer globalTime;


}
