package com.shxy.xymanager_common.model;

import cn.hutool.core.date.DateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 图片轮询列表
 */
@Data
@ApiModel(value = "拍照时间表对象", description = "拍照时间表对象信息")
public class TerminalPhotosTimeModel implements Serializable {

    @ApiModelProperty(value = "拍照时间表对象列表", example = "[]")
    private List<TerminalPhotosTimeModel.PhotosTimeBean> list;

    @Data
    public static class PhotosTimeBean {

        @ApiModelProperty(value = "装置编号", example = "123456")
        private Integer termId;


        @ApiModelProperty(value = "请求ID", example = "123456")
        private Integer requestId;

    }



}
