package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "线路杆塔通道和时间查询", description = "线路杆塔通道和时间查询")
public class LineAndGtAndChannelVo {

    @ApiModelProperty(value = "查询类型", example = "1--电压 2--线路 3--杆塔 4--装置 5--通道")
    private Integer type;

    @ApiModelProperty(value = "编号", example = "123455")
    private Integer id;

}
