package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "绘制坐标请求对象", description = "绘制坐标请求对象")
public class MarkReqVo {
    @NotNull(message = "装置编号不能为空")
    @ApiModelProperty(value = "装置编号", required = true, example = "A0001")
    private Integer termId;


    @NotNull(message = "通道编号不能为空")
    @ApiModelProperty(value = "通道编号", required = true, example = "A0001")
    private Integer channelId;

    @NotNull(message = "是否需要图片")
    @ApiModelProperty(value = "是否需要图片", required = true, example = "0:需要 1:不需要")
    private Integer needPic;

}
