package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.sql.Time;
import java.util.List;

@Data
@ApiModel(value = "任务规则对象详情", description = "任务规则对象详情描述")
public class ScheduleRuleVo {

    @ApiModelProperty(value = "开始时间", example = "单位")
    @NotBlank(message = "开始时间不能缺少")
    private Time startTime;

    @ApiModelProperty(value = "结束时间", example = "型号型号")
    @NotBlank(message = "结束时间不能缺少")
    private Time endTime;

    @ApiModelProperty(value = "时间间隔", example = "型号型号")
    @NotBlank(message = "时间间隔不能缺少")
    private Integer span;


}
