package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "用户对象", description = "用户对象描述")
public class SysUserVo {

    @NotNull(message = "用户名")
    @ApiModelProperty(value = "用户名", example = "123455")
    private String userName;

    @NotNull(message = "角色")
    @ApiModelProperty(value = "角色", example = "123455")
    private Integer role;

    @NotNull(message = "密码")
    @ApiModelProperty(value = "密码", example = "123455")
    private String password;


}
