package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "通道对象", description = "通道对象描述")
public class SystemConfigVo {

    @NotNull(message = "通道ID")
    @ApiModelProperty(value = "通道ID", example = "123455")
    private Integer termId;

    @NotNull(message = "装置ID")
    @ApiModelProperty(value = "装置ID", example = "123455")
    private Integer cmdId;

    @NotNull(message = "参数值")
    @ApiModelProperty(value = "参数值", example = "123455")
    private Integer heartBeatTime;


}
