package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@ApiModel(value = "装置和通道编号", description = "装置和通道描述")
public class TerminalAndChannelIdVo {

    @NotNull(message = "装置编号不能缺少")
    @ApiModelProperty(value = "装置编号", example = "123455")
    private Integer terminalid;

    @NotNull(message = "通道编号不能缺少")
    @ApiModelProperty(value = "通道编号", example = "123455")
    private Integer channelid;

}
