package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "APK请求参数", description = "APK请求参数")
public class TerminalApkVo {

    @NotNull(message = "装置通道编号")
    @ApiModelProperty(value = "装置通道编号", example = "123455")
    private List<String> cmdid;

    @NotNull(message = "文件路径")
    @ApiModelProperty(value = "文件路径", example = "123455")
    private String path;


}
