package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(value = "通道编号数组对象", description = "通道编号数组对象")
public class TerminalChannelIdListVo {
    @NotEmpty(message = "不能传入空值")
    @ApiModelProperty(value = "通道编号数组", required = true, example = "A0001")
    private List<ChannelIdItem> list;

    @Data
    private static class ChannelIdItem {
        @ApiModelProperty(value = "通道编号", example = "123")
        private Integer id;
    }
}
