package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "通道编号对象", description = "通道编号对象")
public class TerminalChannelIdVo {
    @NotNull(message = "通道编号不能缺少")
    @ApiModelProperty(value = "通道编号", example = "123")
    private Integer id;
}
