package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(value = "装置编号数组", description = "装置编号数组描述")
public class TerminalIdListVo {
    @NotEmpty(message = "不能传入空值")
    @ApiModelProperty(value = "装置对象数组", required = true, example = "A0001")
    private List<TerminalIdVo> list;
}
