package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "拍照时间表参数", description = "拍照时间表参数")
public class TerminalPhotoTimeVo {

    @NotNull(message = "通道号")
    @ApiModelProperty(value = "通道号", example = "123455")
    private Short channel;

    @NotNull(message = "装置ID不能缺少")
    @ApiModelProperty(value = "装置ID", example = "123455")
    private Integer termId;

}
