package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@Validated
@ApiModel(value = "查询上位机信息对象", description = "查询上位机信息对象描述")
public class TerminalUpperComputerVo {

    @ApiModelProperty(value = "请求ID", example = "123455")
    private Integer requestId;

    @ApiModelProperty(value = "装置编号", example = "123455")
    private Integer termId;


}
