package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel(value = "杆塔编号数组", description = "杆塔编号数组描述")
public class TowerIdVo {
    @NotEmpty(message = "不能传入空值")
    @ApiModelProperty(value = "杆塔编号数组", required = true, example = "A0001")
    private List<Item> list;

    @Data
    private static class Item {
        @ApiModelProperty(value = "线路名称", example = "名称名称")
        private Integer id;
    }
}
