package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "修改线路对象", description = "修改线路对象描述")
public class UpdateLineVo {

    @ApiModelProperty(value = "线路编号", example = "123456")
    @NotNull(message = "线路编号不能缺少")
    private Integer id;

    @ApiModelProperty(value = "线路名称", example = "名称名称")
    @NotNull(message = "线路名称不能缺少")
    private String name;

    @ApiModelProperty(value = "单位", example = "单位")
    private String bsManufacturer;

    @ApiModelProperty(value = "电压等级编号", example = "型号型号")
    @NotNull(message = "电压编号不能缺少")
    private Integer dyLevelid;

}
