package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "修改通道对象", description = "修改通道对象描述")
public class UpdateTerminalChannelVo {

    @NotNull(message = "通道编号")
    @ApiModelProperty(value = "装置编号", example = "123455")
    private Integer id;

    @NotNull(message = "通道编号不能缺少")
    @ApiModelProperty(value = "通道名称", example = "123455")
    private String channelname;

    @NotNull(message = "通道编号状态")
    @ApiModelProperty(value = "通道状态", example = "0---关闭  1--开启")
    private Integer status;

    @ApiModelProperty(value = "分辨率W", example = "123456")
    private Integer maxResolutionWidth;

    @ApiModelProperty(value = "分辨率H", example = "123456")
    private Integer maxResolutionHeight;
}
