package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "用户登录参数", description = "用户登录参数描述")
public class UserLoginVo {

    @NotNull(message = "用户名")
    @ApiModelProperty(value = "用户名", example = "123455")
    private String userName;

    @NotNull(message = "密码")
    @ApiModelProperty(value = "密码", example = "123455")
    private String passWord;

}
