package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "视频控制对象", description = "视频控制对象描述")
public class VideoGetVo {

    @NotBlank(message = "监测装置ID")
    @ApiModelProperty(value = "监测装置ID", example = "123455")
    private String cmdId;

    @NotNull(message = "通道编号")
    @ApiModelProperty(value = "通道编号", example = "01")
    private short channelId;


}
