package com.shxy.xymanager_common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "视频控制参数对象", description = "视频控制参数对象")
public class VideoParamsVo {
    @NotBlank(message = "装置编号不能缺少")
    @ApiModelProperty(value = "装置编号", example = "123456")
    private String cmdId;

    @NotNull(message = "通道编号不能缺少")
    @ApiModelProperty(value = "通道编号", example = "123456")
    private Integer channelId;

    @NotNull(message = "视频格式不能缺少")
    @ApiModelProperty(value = "视频格式", example = "123456")
    private Integer videoFormat;

    @NotNull(message = "录制时长不能缺少")
    @ApiModelProperty(value = "录制时长", example = "123456")
    private Integer videoTime;

    @NotNull(message = "预制位")
    @ApiModelProperty(value = "预制位", example = "123456")
    private Integer preset;



}
