package com.shxy.xymanager_dao.dao;

import com.shxy.xymanager_common.dto.ScheduleAndRuleDto;
import com.shxy.xymanager_common.entity.Schedules;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface SchedulesDao {

    List<Schedules> selectAll(@Param("status") Integer status);


    List<ScheduleAndRuleDto> selectScheduleAndDetailsList(@Param("list") List<Schedules> list, @Param("status") Integer status);

    ScheduleAndRuleDto selectSingleScheduleAndDetailsList(@Param("id") Integer id, @Param("status") Integer status);

    ScheduleAndRuleDto selectSingle(@Param("id") Integer id, @Param("status") Integer status);

    int updateStatusById(@Param("list") List<Schedules> list, @Param("status") Integer status, @Param("updateat") Date update);

    int deleteByPrimaryKey(Integer id);

    int insert(Schedules record);

    int insertSelective(Schedules record);

    Schedules selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Schedules record);

    int updateByPrimaryKey(Schedules record);
}