package com.shxy.xymanager_dao.dao;

import com.shxy.xymanager_common.entity.TerminalChannelMapper;
import com.shxy.xymanager_common.entity.TerminalChannels;
import org.apache.ibatis.annotations.Param;

import java.math.BigInteger;
import java.util.Date;
import java.util.List;

public interface TerminalChannelMapperDao {
    int deleteByTermId(Integer id);

    int insert(TerminalChannelMapper record);

    int insertSelective(TerminalChannelMapper record);

    int insertList(@Param("list") List<TerminalChannelMapper> record, @Param("createat") Date create, @Param("updateat") Date update);

    List<TerminalChannelMapper> selectByTermid(Integer id);

    TerminalChannelMapper selectByPrimaryKey(Integer id);

    TerminalChannelMapper selectByTermidAndChannelid(@Param("termid") Integer termid, @Param("channelid")Integer channelid, @Param("status") Integer status);

    List<TerminalChannelMapper> selectAll();

    List<TerminalChannelMapper> selectAllByPhotoTime(@Param("time") BigInteger time);

    int updateByPrimaryKeySelective(TerminalChannelMapper record);

    int updateByPrimaryKey(TerminalChannelMapper record);
}