package com.shxy.xymanager_dao.dao;

import com.shxy.xymanager_common.dto.TerminalImgAlarmsDto;
import com.shxy.xymanager_common.entity.TerminalImgAlarmParams;
import com.shxy.xymanager_common.entity.TerminalImgAlarms;
import org.apache.ibatis.annotations.Param;

import java.math.BigInteger;
import java.util.List;

public interface TerminalImgAlarmsDao {
    int deleteByPrimaryKey(Long id);

    int insert(TerminalImgAlarms record);

    int insertSelective(TerminalImgAlarms record);

    TerminalImgAlarms selectByPrimaryKey(Long id);

    List<TerminalImgAlarmsDto> selectAlarmsDetails(@Param("terminalidlist") List<Integer> termidlist, @Param("labellist") List<TerminalImgAlarmParams> labellist, @Param("starttime") BigInteger starttime, @Param("endtime") BigInteger endtime);

    int updateByPrimaryKeySelective(TerminalImgAlarms record);

    int updateByPrimaryKeyWithBLOBs(TerminalImgAlarms record);

    int updateByPrimaryKey(TerminalImgAlarms record);
}