package com.shxy.xymanager_dao.dao;

import com.shxy.xymanager_common.entity.TerminalSchedule;
import com.shxy.xymanager_common.vo.RelateTerminalListRuleIdVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface TerminalScheduleDao {
    int deleteByChannelId(@Param("list") List<TerminalSchedule> list);

    int insert(TerminalSchedule record);

    int insertSelective(TerminalSchedule record);

    int insertList(@Param("list") List<TerminalSchedule> record, @Param("createat") Date create, @Param("updateat") Date update);

    TerminalSchedule selectByPrimaryKey(Integer id);

    TerminalSchedule selectByChannelId(@Param("channelid") Integer list, @Param("termid") Integer termid);

    List<TerminalSchedule> selectByTerminalBean(@Param("list") List<RelateTerminalListRuleIdVo.Items> list);

    int insertOrUpdate(@Param("list") List<TerminalSchedule> record, @Param("createat") Date create, @Param("updateat") Date update);

    int updateByPrimaryKeySelective(TerminalSchedule record);

    int updateByPrimaryKey(TerminalSchedule record);
}