package com.shxy.xymanager_dao.dao;

import com.shxy.xymanager_common.entity.TerminalSchedulesTemp;
import com.shxy.xymanager_common.vo.RelateTerminalListRuleIdVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface TerminalSchedulesTempDao {

    List<TerminalSchedulesTemp> selectByTermAndChannel(@Param("list") List<RelateTerminalListRuleIdVo.Items> list, @Param("status") Integer status);

    List<TerminalSchedulesTemp> selectByRequestId(@Param("list") List<Integer> id, @Param("status") Integer status);


    int deleteByPrimaryKey(Integer id);

    int insert(TerminalSchedulesTemp record);

    int insertList(@Param("list") List<TerminalSchedulesTemp> record, @Param("status") Integer status, @Param("createat") Date createat, @Param("updateat") Date updateat);

    int insertSelective(TerminalSchedulesTemp record);

    TerminalSchedulesTemp selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TerminalSchedulesTemp record);

    int updateStatusByRequestIdList(@Param("list") List<Integer> id, @Param("status") Integer status,@Param("updateat") Date updateat);

    int updateByPrimaryKey(TerminalSchedulesTemp record);
}