package com.shxy.xymanager_service.service;

import com.shxy.xymanager_common.dto.LineAndDyNameDto;
import com.shxy.xymanager_common.dto.TermAndChannelDto;
import com.shxy.xymanager_common.dto.TowerDto;
import com.shxy.xymanager_common.entity.*;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.CachePut;
import org.springframework.cache.annotation.Cacheable;

import java.util.List;
import java.util.Map;


/**
 * 缓存方法
 *
 * @author jingjing
 */
public interface CacheService {

//    /**
//     * 获取绘制状态
//     *
//     * @return
//     */
//    GlobalParams getGlobalParams(String param);
//
//    /**
//     * 修改绘制状态
//     *
//     * @return
//     */
//    GlobalParams updateGlobalParams(GlobalParams record);
//
//    /**
//     * 获取单个线路
//     *
//     * @return
//     */
//    Lines getLine(Integer id);
//
//    /**
//     * 删除线路
//     *
//     * @return
//     */
//    Integer deleteLine(List<Lines> lines);
//
//    /**
//     * 修改线路
//     *
//     * @return
//     */
//    Lines updateLine(Lines lines);
//
//
//    TowerDto getTower(Integer id);
//
//    Integer deleteTower(List<Towers> list);
//
//    Towers updateTower(Towers towers);
//
//    Terminals getTerminal(Integer id);
//
//    Integer deleteTerminal(List<Terminals> list);
//
//    Towers updateTerminal(Towers towers);
//
//    TerminalChannels getTermchannelMap(Integer id);
//
//    Integer deleteTermchannelMap(List<TerminalChannels> list);
//
//    TerminalChannels updateTermchannelMap(TerminalChannels terminalChannels);
//
//    TerminalChannelMapper getTermchannelMapMap(Integer id, Integer channelid);
//
//    Integer deleteTermchannelMapMap(Integer id);
//
//    List<TerminalImgAlarmParams> getAlarmParsms();
//
//    List<TerminalImgAlarmParams> updateAlarmParsms(List<TerminalImgAlarmParams> list);

    Map<String, String> getGolobalMap();

    Map<String, String> updateGolobalMap();

    Map<Integer, TerminalImgAlarmParams> getAlarmParamMap();

    Map<Integer, TerminalImgAlarmParams> updateAlarmParamMap();

    Map<String, TerminalChannelMapper> getTermChannelMapMap();

    Map<String, TerminalChannelMapper> updateTermChannelMapMap();

    Map<Integer, TerminalChannels> getTermChannelMap();

    Map<Integer, TermAndChannelDto> getTermAndChannelMap();

    Map<Integer, TowerDto> getTowerMap();

    Map<Integer, Terminals> getTerminalMap();

    Map<Integer, LineAndDyNameDto> getLineMap();

    Map<Integer, TerminalChannels> updateTermChannelMap();

    Map<Integer, TermAndChannelDto> updateTermAndChannelMap();

    Map<Integer, TowerDto> updateTowerMap();

    Map<Integer, Terminals> updateTerminalMap();

    Map<Integer, LineAndDyNameDto> updateLineMap();
}
