package com.shxy.xymanager_service.service;

import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.model.*;
import com.shxy.xymanager_common.vo.*;

/**
 * 告警接口
 *
 * @author CY
 */
public interface TerminalAlarmService {

    /**
     * 获取告警信息列表分页
     *
     * @return
     */
    ServiceBody<TerminalAlarmListModel> getTerminalAlarmList(String requestIp, TerminalAlarmSelectVo vo);

    /**
     * 更改告警列表读取状态
     *
     * @return
     */
    ServiceBody<Boolean> readAlarm(TerminalAlarmIdVo vo);

    /**
     * 获取告警分类列表
     *
     * @return
     */
    ServiceBody<TerminalImgAlarmParamsModel> getAlarmTypeList();

    /**
     * 获取告警分类列表
     *
     * @return
     */
    ServiceBody<String> updateAlarmTypeList(UpdateTerminalAlarmParamsVo vo);

}
