package com.shxy.xymanager_service.service;

import com.shxy.xymanager_common.bean.ServiceBody;
import com.shxy.xymanager_common.dto.TowerDto;
import com.shxy.xymanager_common.model.AllTowerListModel;
import com.shxy.xymanager_common.model.TowerListModel;
import com.shxy.xymanager_common.vo.*;

/**
 *
 *
 * @author CY
 */
public interface TowerService {


    /**
     * 新增杆塔
     *
     * @return
     */
    ServiceBody addTower(TowersVo vo);

    /**
     * 新增杆塔
     *
     * @return
     */
    ServiceBody<TowerListModel> getTowerList(PageVo vo);



    /**
     * 删除线路
     *
     * @param vo
     * @return
     */
    ServiceBody<String> deleteTower(TowerIdVo vo);


    /**
     * 修改线路
     *
     * @param vo
     * @return
     */
    ServiceBody<String> updateTower(UpdateTowerVo vo);

    /**
     * 查询杆塔
     *
     * @param id
     * @return
     */
    ServiceBody<TowerDto> getTowerInfo(Integer id);

    /**
     * 获取所有杆塔
     *
     * @return
     */
    ServiceBody<AllTowerListModel> getAllTower();


}
